Fornecedor = Pessoa.create()  --Modo de fazer Fornecedor herdar de Pessoa
Fornecedor.__index = Fornecedor  --Associando metatble de Fornecedor

--> Construtor de uma instancia de Fornecedor

function Fornecedor.create(codigo, nome, endereco, telefone, dataCadastro, CNPJ, pessoaContato)
	local f = Pessoa.create(codigo, nome, endereco, telefone) -- Cria nova instancia de Pessoa

	setmetatable(f,Fornecedor) --> Associando metatable de Fornecedor a nova instancia da classe


	-- Atributos da classe Fornecedor
	self.cnpj = CNPJ
	self.pessoaContato = pessoaContato

	return f
end

--> Metodos da classe Fornecedor

function Cliente:getCNPJ()
	return self.cnpj
end

function Cliente:getPessoaContato()
	return self.pessoaContato
end